<?xml version='1.0' encoding='UTF-8'?>
<types:mule xmlns:types="http://www.mulesoft.org/schema/mule/types">
  <types:catalog>
    <types:type name="data-json" format="json">
      <types:shape format="weave" example="data-json.json"><![CDATA[%dw 2.0

type data_json = {|
  widget: {|
    debug: String, 
    window: {|
      title: String, 
      name: String, 
      width: Number {"typeId": "int"}, 
      height: Number {"typeId": "int"}
    |}, 
    image: {|
      src: String, 
      name: String, 
      hOffset: Number {"typeId": "int"}, 
      vOffset: Number {"typeId": "int"}, 
      alignment: String
    |}, 
    text: {|
      data: String, 
      size: Number {"typeId": "int"}, 
      style: String, 
      name: String, 
      hOffset: Number {"typeId": "int"}, 
      vOffset: Number {"typeId": "int"}, 
      alignment: String, 
      onMouseUp: String
    |}
  |}
|} {"example": "{\"widget\":{\"debug\":\"on\",\"window\":{\"title\":\"Sample Konfabulator Widget\",\"name\":\"main_window\",\"width\":500,\"height\":500},\"image\":{\"src\":\"Images\/Sun.png\",\"name\":\"sun1\",\"hOffset\":250,\"vOffset\":250,\"alignment\":\"center\"},\"text\":{\"data\":\"Click Here\",\"size\":36,\"style\":\"bold\",\"name\":\"text1\",\"hOffset\":250,\"vOffset\":100,\"alignment\":\"center\",\"onMouseUp\":\"sun1.opacity = (sun1.opacity \/ 100) * 90;\"}}}"}

]]></types:shape>
    </types:type>
  </types:catalog>
  <types:enrichment select="#f9500acf-4328-4e84-a0ba-0139930a7736">
    <types:processor-declaration>
      <types:input-event>
        <types:message>
          <types:payload type="data-json"/>
        </types:message>
      </types:input-event>
      <types:output-event>
        <types:message>
          <types:payload type="data-json"/>
        </types:message>
      </types:output-event>
    </types:processor-declaration>
  </types:enrichment>
</types:mule>